AMULECMD(1)

NAME
imulecmd - Text-basiertes Client Programm um iMule zu kontrollieren

SYNOPSIS
imulecmd [-h <host>] [-p <port>] [-P <passwd>] [-f <path>] [-l <lang>] [-q] [-v] [-w] [-c <command>]

imulecmd [-f <path>] --create-config-from=<path>

imulecmd [--help] [--version]

BESCHREIBUNG
imulecmd ist ein Text-basiertes Programm um iMule zu steuern. Nützliche Hilfe wird angezeigt wenn das Programm gestartet wird.

-h, --host=<host>
    Host auf dem iMule läuft (standart: localhost). <host> es kann sich um eine IP-Address oder DNS Namen handeln

-p, --port=<port>
    iMule's Port für Externe Verbindungen, wie eingestellt unter Einstellungen-> Remote Controls (standart: 4712)

-P, --password=<passwd>
    Externe Verbindung Password

-f, --config-file=<path>
    Nutze die vorgegebene Konfigurationsdatei. Standart Konfigurationsdatei ist ~/.iMule/remote.conf

-l, --locale=<lang>
    setzt die Programm locale (Sprache). Siehe die Sektion ANMERKUNGfür eine Beschreibung des <lang> Parameters.

-q, --quiet
    Gibt nichts nach stdout. Diese Options ist mit imulecmd jedoch relativ Sinnlos.

-v, --verbose
    Sei verbose - zeigt ebenfalls Debug Ausgaben.

-w, --write-config
    Schreibe Kommandozeilen Optionen in die Konfigurationsdatei und beende.

-c, --command=<command>
    Führe das <command> aus, als würde es direkt in imulecmd eingegeben und beende dann

--create-config-from=<path>
    Erstellt Konfigdatei basierend auf <path>, dieser Pfad muss auf eine gültige aMUle KOnfigdatei zeigen, und dann beenden

--help
    Zeigt diese Hilfe an

--version
    Zeigt die Versionsnummer and und beendet

ANMERKUNG

  Pfade
Für alle Optionen die <pfad> wert nutzen, wenn der pfad keine Verzeichnissssturktur beinhaltet(z.B. nur eine normale Textdaite), dann wird angenommen das es sich im iMule Konfigurationsordner befindet, ~/.iMule.

  Sprachen
Der <lang> Parameter für die -l Option hat folgende Form: lang[_LANG][.encoding][@modifier] wobei lang die primäre Sprache ist, LANG ist eine Untersprache oder Region, encoding ist das Chrakterset welches benutzt wird modifier "erlaubt dem User einen bestimmten Instanz der Localen Data in einer Kategorie zu nutzen".

Zum Beispiel, folgende Eingaben sind gültig:
fr
fr_FR
de_DE.iso88591
de_DE@euro
de_DE.iso88591@euro

Trotzdessen das alle Eingaben oben akzeptiert werden, sind die Parameter encoding and modifier noch nicht nutzbar.

Zum oben angegebenen Schema, kann man auch den vollen Sprachennamen angeben in English - so -l german ist gültig und entspricht -l de_DE.

When keine Locale angegeben wird über die Kommandozeile oder Konfigdatei, wird die Standart Systemlocale genutzt.

DATEIEN
~/.iMule/remote.conf

BEISPIEL
Normalerweise wird imulecmd das erste mal mit diesen Optionen gestartet:

imulecmd -h hostname -p ECport -P ECpassword -w

oder

imulecmd --create-config-from=/home/username/.iMule/imule.conf

Dies wird alle Einstellungen in $HOME/.iMule/remote.conf speichern, und später braucht man nur noch aufrufen:

imulecmd

Natürlich kann man es auch anders machen, dies ist nur ein Beispiel.

PROBLEME BERICHTEN
Bitte berichte Fehler im Programm entweder im Forum (http://forum.imule.org/), oder in unserem Bugtracker (http://bugs.imule.org/). Bitte berichte keine Fehler per E-Mail, zu unserer Mailingliste oder direkt zu einem Teammitglied.

COPYRIGHT
iMule und all seine Tools stehen unter der GNU General Public License.

SIEHE AUCH
imule(1), imuleweb(1)